function Psi = IncidWav(a,centers,s,k, theta,phi)
% Psi = IncidWav(a,centers,s,k, theta,phi)
% Evaluates the incident wave at the point on the surface
% of the sphere determined by theta and phi, for ALL spheres

% theta=reshape(theta,length(theta),1);   % allow vector arguments
% phi=reshape(phi,1,length(phi));
% % Plane wave
% c1 = a*sin(s(1))*cos(s(2));      % a*sin(theta_in)*cos(phi_in)
% c2 = a*sin(s(1))*sin(s(2));      % a*sin(theta_in)*sin(phi_in)
% c3 = a*cos(s(1));                % a*cos(theta_in)
% dot_prod =  c1*sin(theta)*cos(phi) + c2*sin(theta)*sin(phi) + c3*cos(theta)*ones(size(phi));
% Psi=-exp(i*k*dot_prod);

% Monopole source incident wave
rsource=[0,0,10*a(1)];
Q=1;
for sph=1:length(a)
	r=[a(sph)*sin(theta)*cos(phi) , a(sph)*sin(theta)*sin(phi) , a(sph)*cos(theta)];
    r = r + centers(sph,:);     % add to r the coordinates of the center
	Psi(sph)=Q*exp(i*k*norm(r-rsource))/(4*pi*norm(r-rsource));
end