function Pn = Legendre1(Nmax,mu)

%generates a set of associated Legendre Functions from 0 to Nmax for given polar angles theta and phi
%m is non-negative integer;
% Courtesy: Nail Gumerov

Nmax1 = Nmax+1;
e=1;
Pn(1:Nmax1) = 0;
P0 = 1;
P1 = mu;
Pn(e) = P0;
Pn(1+e) = P1;
for n = 1:Nmax-1,
    P2 = ((2*n+1)*mu*P1 - n*P0)/(n+1);
    P0 = P1;
    P1 = P2;
    Pn(n+1+e) = P2;
end;