function I=SphericalIntegralLegendre_(p)
% an algorithm for spherical integration using Legendre nodes
% Integrates "funct(theta,phi)" in line 23 on the unit sphere surface
% developed and implemented by Nail Gumerov 10/28/2003
% gumerov@umiacs.umd.edu
% Adapted and commented by Hazem El-Alfy 11/3/2004

w(1:p)=0;
% Gaussian nodes and weights in theta coordinate
MYU=LegendreZeros(p);
for j=1:p
    w(j)=2*(1-MYU(j)^2)/(p*Pn(MYU(j),p-1))^2;
end;
% equispaced nodes (with equal weights) for the phi coordinate
for n=-(p-1):p-1
    Phi(n+p)=2*pi*n/(2*p-1);
end;

I1=0;
for j=1:p
    II=0;
    for n=-(p-1):p-1
        theta=acos(MYU(j));
        phi=Phi(n+p);      
        II=II+funct(theta,phi);
    end;
    II=II*w(j);
    I1=I1+II;
end;
I=I1*2*pi/(2*p-1);      % equal weight for the inner sums (phi coordinate)