function jl = sph_bessel(k,a,L)
% jl = sph_bessel(k,a,L)
% input: k: wave number
%        a: sphere radius
%        L: required output size
% output: Spherical Bessel functions of orders 0,...,L evaluated at k*a for
%         each sphere ( Nsph*(L+1)-matrix )

jl=zeros(length(a),L+1);
for sph=1:length(a)
	jl(sph,:) = sqrt(pi/(2*k*a(sph)))*besselj([0+0.5:L+0.5],k*a(sph));
end