function hl = sph_hankel(k,a,L)
% hl = sph_hankel(k,a,L)
% input: k: wave number
%        a: sphere radius
%        L: required output size
% output: Spherical Hankel functions of orders 0,...,L evaluated at k*a for
%         each sphere ( Nsph*(L+1)-matrix )

hl=zeros(length(a),L+1);
for sph=1:length(a)
	jl = sqrt(pi/(2*k*a(sph)))*besselj([0+0.5:L+0.5],k*a(sph));
	yl = sqrt(pi/(2*k*a(sph)))*bessely([0+0.5:L+0.5],k*a(sph));
	hl(sph,:) = jl + i*yl;
end